<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JPSOAP_HotelRatePlanSpecialNoteText StructType
 * @subpackage Structs
 */
class JPSOAP_HotelRatePlanSpecialNoteText extends AbstractStructBase
{
    /**
     * The Txt
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Txt;
    /**
     * The Language
     * @var string
     */
    public $Language;
    /**
     * Constructor method for JPSOAP_HotelRatePlanSpecialNoteText
     * @uses JPSOAP_HotelRatePlanSpecialNoteText::setTxt()
     * @uses JPSOAP_HotelRatePlanSpecialNoteText::setLanguage()
     * @param string $txt
     * @param string $language
     */
    public function __construct($txt = null, $language = null)
    {
        $this
            ->setTxt($txt)
            ->setLanguage($language);
    }
    /**
     * Get Txt value
     * @return string|null
     */
    public function getTxt()
    {
        return $this->Txt;
    }
    /**
     * Set Txt value
     * @param string $txt
     * @return \StructType\JPSOAP_HotelRatePlanSpecialNoteText
     */
    public function setTxt($txt = null)
    {
        // validation for constraint: string
        if (!is_null($txt) && !is_string($txt)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($txt, true), gettype($txt)), __LINE__);
        }
        $this->Txt = $txt;
        return $this;
    }
    /**
     * Get Language value
     * @return string|null
     */
    public function getLanguage()
    {
        return $this->Language;
    }
    /**
     * Set Language value
     * @param string $language
     * @return \StructType\JPSOAP_HotelRatePlanSpecialNoteText
     */
    public function setLanguage($language = null)
    {
        // validation for constraint: string
        if (!is_null($language) && !is_string($language)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($language, true), gettype($language)), __LINE__);
        }
        $this->Language = $language;
        return $this;
    }
}
